com.mapinfo.midev.data

## Class LegendAggregate

- java.lang.Object
- - com.mapinfo.midev.data.LegendAggregate

    public final class LegendAggregate
    extends Object

A 'row' in a legend. Holds the style, geometry type, number of records and an optional description of the item.

See Also:
  `LegendMetadata`

### Constructor Summary

Constructors
Constructor and Description
`LegendAggregate(IStyle style, GeometryType geometryType, long count, String description)` Creates a `LegendAggregate` from the specified parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`long` `getCount()` Returns the number of items in this legend row.
`String` `getDescription()` Returns an optional description of the legend row.
`GeometryType` `getGeometryType()` Returns the geometry type of the legend row.
`IStyle` `getStyle()` Returns the `IStyle` of the legend row.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LegendAggregate

    public LegendAggregate(IStyle style,
                           GeometryType geometryType,
                           long count,
                           String description)

Creates a `LegendAggregate` from the specified parameters.

Parameters:
  `style` - the style of the object.
  `geometryType` - the type of geometry.
  `count` - the number of items of the geometry and style.
  `description` - a descrption of the item. Optional.

### Method Detail

#### getStyle

    public IStyle getStyle()

Returns the `IStyle` of the legend row.

Returns:
  the `IStyle` of the legend row.

#### getGeometryType

    public GeometryType getGeometryType()

Returns the geometry type of the legend row.

Returns:
  the geometry type of the legend row.

#### getCount

    public long getCount()

Returns the number of items in this legend row.

Returns:
  the number of items in this legend row.

#### getDescription

    public String getDescription()

Returns an optional description of the legend row. Examples include 'roads', 'bus stops', etc.

Returns:
  an optional description of the legend row

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`